Debian Bug report logs - #137083
xserver-xfree86: [debconf] want support for kudzu

Package: xserver-xorg; Maintainer for xserver-xorg is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg is src:xorg.

Reported by: Andrea Mennucc <debian@Tonelli.sns.it>

Date: Wed, 6 Mar 2002 14:18:03 UTC

Severity: wishlist

Tags: wontfix

Done: Brice Goglin <Brice.Goglin@ens-lyon.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#137083; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to Andrea Mennucc <debian@Tonelli.sns.it>:
New Bug report received and forwarded. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Andrea Mennucc <debian@Tonelli.sns.it>
To: Debian Bug Tracking System <maintonly@bugs.debian.org>
Subject: xserver-xfree86: may use 'kudzu'
Date: Wed, 6 Mar 2002 15:07:00 +0100
Package: xserver-xfree86
Version: 4.1.0-14
Severity: wishlist

hi

the debconf interface to configure X
is quite nice, but for a problem: the choice of the driver for the
video card and for the mouse;
indeed (unless the user is an Xfree86 expert) it is difficult to 
guess which driver should be used for a video card, knowning only the
product name (and sim. mouse).

Here is a proposal: since lately 'kudzu' 
(the red-hat/mandrake hardware detector) has entered into Debian,
we may use its work,   when available.

So: if the file   /etc/sysconfig/hwconf is available,
then  the user may be asked to choose a video card from the list
in the file, that contains records such as

-
class: VIDEO
bus: PCI
detached: 0
driver: Server:XFree86(nv)
desc: "NV11 DDR (GeForce)"
vendorId: 10de
deviceId: 0111
subVendorId: 1462
subDeviceId: 8392
pciType: 1
-

and then the driver would be set accordingly to what is in the 'driver'
line. And similarly for the mouse (but for a glitch: the 
driver line for my mouse is 
 driver: generic3ps/2
and not "ImPS/2" , as is required in X config: I dont know if there is
any easy translation table)

I am willing to help in implementing this feature: if you drop me an e-mail,
I will try to prepare a patch

Thanks for your attention, 

a.m.


-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux Tonelli 2.4.18-k7 #1 Fri Mar 1 01:43:32 EST 2002 i686
Locale: LANG=it_IT, LC_CTYPE=it_IT

Versions of packages xserver-xfree86 depends on:
ii  debconf                       1.0.26     Debian configuration management sy
ii  libc6                         2.2.5-3    GNU C Library: Shared libraries an
ii  xserver-common                4.1.0-14   files and utilities common to all 
ii  zlib1g                        1:1.1.3-19 compression library - runtime

-- 
Andrea Mennucc
 "E' un mondo difficile. Che vita intensa!" (Renato Carotone)



Message sent on to Andrea Mennucc <debian@Tonelli.sns.it>:
Bug#137083. Full text and rfc822 format available.

Message #8 received at 137083-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 137083-submitter@bugs.debian.org
Subject: Re: Bug#137083: xserver-xfree86: may use 'kudzu'
Date: Wed, 6 Mar 2002 11:18:09 -0500
[Message part 1 (text/plain, inline)]
tag 137083 + wontfix
severity 137083 wishlist
thanks

On Wed, Mar 06, 2002 at 03:07:00PM +0100, Andrea Mennucc wrote:
> the debconf interface to configure X
> is quite nice, but for a problem: the choice of the driver for the
> video card and for the mouse;
> indeed (unless the user is an Xfree86 expert) it is difficult to 
> guess which driver should be used for a video card, knowning only the
> product name (and sim. mouse).

This is a limitation of debconf, not of the hardware detection system.

I have no plans to implement Kudzu support.

-- 
G. Branden Robinson                |    I am sorry, but what you have
Debian GNU/Linux                   |    mistaken for malicious intent is
branden@debian.org                 |    nothing more than sheer
http://people.debian.org/~branden/ |    incompetence!     -- J. L. Rizzo II
[Message part 2 (application/pgp-signature, inline)]

Tags added: wontfix Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#137083; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #17 received at 137083@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: 137083@bugs.debian.org
Subject: kudzu support
Date: Sun, 24 Mar 2002 12:36:39 +0100
I wish you would support kudzu. Have a look at Knoppix (www.knoppix.de,
ftp://ftp.uni-kl.de/pub/linux/knoppix/KNOPPIX_V2.2-BETA-22-03-2002-EN.iso).
They take Woody packages and complete it with automatic X configuration
based on kudzu. At works REALLY good. Not perfect, but much better for
initial setup than guessing the correct hardware configuration.

Gruss/Regards,
Eduard.
-- 
Entscheide Dich im Zweifel für das Richtige, dann kann Dir nichts
passieren!




Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#137083; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to Jeff Licquia <licquia@debian.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #22 received at 137083@bugs.debian.org (full text, mbox):

From: Jeff Licquia <licquia@debian.org>
To: 137083@bugs.debian.org
Subject: XFree86 hardware autodetection
Date: 03 May 2002 15:51:16 -0500
Those people interested in hardware detection for XFree86 should install
the discover, read-edid (i386-only), and/or mdetect packages before
installing or reconfiguring any of the xserver-* packages.





Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `xserver-xfree86' to `xserver-xorg'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 25 Jul 2007 05:36:06 GMT) Full text and rfc822 format available.

Reply sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andrea Mennucc <debian@Tonelli.sns.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 137083-done@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: 133277-done@bugs.debian.org, 133910-done@bugs.debian.org, 137083-done@bugs.debian.org, 149807-done@bugs.debian.org, 215130-done@bugs.debian.org, 355249-done@bugs.debian.org
Subject: closing old debconf-related xorg bugs
Date: Sat, 19 Jan 2008 00:54:06 +0100
I am closing these old debconf-related bugs since we are going away from
debconf, lots of these issues do not matter anymore, and we are not
adding more options or so.

Brice





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 16 Feb 2008 07:31:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 15:53:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.